searchData={"items":[{"type":"module","title":"Yousign","doc":"Documentation for `Yousign`.","ref":"Yousign.html"},{"type":"function","title":"Yousign.child_spec/1","doc":"","ref":"Yousign.html#child_spec/1"},{"type":"module","title":"Yousign.API","doc":"Yousign API Module","ref":"Yousign.API.html"},{"type":"function","title":"Yousign.API.child_spec/0","doc":"","ref":"Yousign.API.html#child_spec/0"},{"type":"function","title":"Yousign.API.get_api_url/0","doc":"","ref":"Yousign.API.html#get_api_url/0"},{"type":"function","title":"Yousign.API.get_web_url/0","doc":"","ref":"Yousign.API.html#get_web_url/0"},{"type":"module","title":"Yousign.API.Consumption","doc":"","ref":"Yousign.API.Consumption.html"},{"type":"function","title":"Yousign.API.Consumption.metrics/0","doc":"Get the consumption metrics of the current account.","ref":"Yousign.API.Consumption.html#metrics/0"},{"type":"function","title":"Examples - Yousign.API.Consumption.metrics/0","doc":"iex> Yousign.API.Consumption.metrics()\n    {:ok,\n     %{\n        simpleSignature: 957,\n        advancedSignature: 238,\n        serverStamp: 57,\n        documentVerification: 12,\n        archiving: 66356\n    }}","ref":"Yousign.API.Consumption.html#metrics/0-examples"},{"type":"module","title":"Yousign.API.Files","doc":"","ref":"Yousign.API.Files.html"},{"type":"function","title":"Yousign.API.Files.build_file/2","doc":"Build a new File API Payload","ref":"Yousign.API.Files.html#build_file/2"},{"type":"function","title":"Yousign.API.Files.create/1","doc":"Creates a new file, accepts a payload built with build_file/2 or a custom one","ref":"Yousign.API.Files.html#create/1"},{"type":"function","title":"Yousign.API.Files.get/1","doc":"Get a single file","ref":"Yousign.API.Files.html#get/1"},{"type":"function","title":"Yousign.API.Files.get_file_content/2","doc":"Get the content of the requested file as base64.\n\nAccepts either `:base64` or `:binary` as an optional format parameter.\nDefault is `:base64`","ref":"Yousign.API.Files.html#get_file_content/2"},{"type":"function","title":"Yousign.API.Files.list/0","doc":"Lists all files","ref":"Yousign.API.Files.html#list/0"},{"type":"module","title":"Yousign.API.Members","doc":"","ref":"Yousign.API.Members.html"},{"type":"function","title":"Yousign.API.Members.get_signature_url/1","doc":"","ref":"Yousign.API.Members.html#get_signature_url/1"},{"type":"function","title":"Yousign.API.Members.list/0","doc":"","ref":"Yousign.API.Members.html#list/0"},{"type":"module","title":"Yousign.API.Procedures","doc":"","ref":"Yousign.API.Procedures.html"},{"type":"function","title":"Yousign.API.Procedures.build_procedure/3","doc":"Builds a API Procedure payload with the provided info, sets a lot of defaults","ref":"Yousign.API.Procedures.html#build_procedure/3"},{"type":"function","title":"Yousign.API.Procedures.create/1","doc":"Creates a new procedure, accepts a procedure built with build_procedure/3 or a freeform API Payload","ref":"Yousign.API.Procedures.html#create/1"},{"type":"function","title":"Yousign.API.Procedures.get/1","doc":"Get a procedure","ref":"Yousign.API.Procedures.html#get/1"},{"type":"function","title":"Yousign.API.Procedures.list/0","doc":"Lists all procedures","ref":"Yousign.API.Procedures.html#list/0"},{"type":"function","title":"Yousign.API.Procedures.list_by_member_email/1","doc":"Lists all procedures by member email","ref":"Yousign.API.Procedures.html#list_by_member_email/1"},{"type":"module","title":"Yousign.API.Users","doc":"","ref":"Yousign.API.Users.html"},{"type":"function","title":"Yousign.API.Users.list/0","doc":"","ref":"Yousign.API.Users.html#list/0"},{"type":"module","title":"Yousign.Config","doc":"Utility that handles interaction with the application's configuration","ref":"Yousign.Config.html"},{"type":"function","title":"Yousign.Config.resolve/2","doc":"Resolves the given key from the application's configuration returning the\nwrapped expanded value. If the value was a function it gets evaluated, if\nthe value is a tuple of three elements it gets applied.","ref":"Yousign.Config.html#resolve/2"},{"type":"module","title":"Yousign.Request","doc":"A module for handling the internal requests to the Yousign API","ref":"Yousign.Request.html"},{"type":"function","title":"Yousign.Request.base_url/0","doc":"","ref":"Yousign.Request.html#base_url/0"},{"type":"function","title":"Yousign.Request.make_raw_request/2","doc":"","ref":"Yousign.Request.html#make_raw_request/2"},{"type":"function","title":"Yousign.Request.make_raw_request/3","doc":"","ref":"Yousign.Request.html#make_raw_request/3"},{"type":"function","title":"Yousign.Request.make_request/2","doc":"","ref":"Yousign.Request.html#make_request/2"},{"type":"function","title":"Yousign.Request.make_request/3","doc":"","ref":"Yousign.Request.html#make_request/3"},{"type":"function","title":"Yousign.Request.web_url/0","doc":"","ref":"Yousign.Request.html#web_url/0"},{"type":"extras","title":"Overview","doc":"# Yousign\n\nA very thin wrapper around the yousign.fr API. Currently limited in scope by what is needed at my work project.","ref":"readme.html"},{"type":"extras","title":"Installation - Overview","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `yousign_ex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:yousign_ex, \"~> 0.1.2\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"API Versions - Overview","doc":"The 0.1.x versions of this library are compatible with the 2.0 version of the Yousign API, while the 0.2.x versions are compatible with version 3 of the Yousign API.\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","ref":"readme.html#api-versions"}],"content_type":"text/markdown"}